Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.dialer
Class DialerActionEvent

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.dialer.DialerActionEvent

All Implemented Interfaces:
  Cloneable, Comparable<Event>

    public class DialerActionEvent

extends Event
implements Cloneable

This event occurs when the dialer reached or failed to reach a called person. Such events are scheduled by the `Dialer.dial()` method if generated dial delays are greater than zero.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`DialerActionEvent(Dialer dialer, Contact contact, boolean success)` Constructs a new dialer action event for contact `contact` with success indicator `success`.

Method Summary
`void` | `actions()`
`boolean` | `cancel()`
`DialerActionEvent` | `clone()`
`Contact` | `getContact()` Returns the contact object representing the called person.
`Dialer` | `getDialer()` Returns the dialer this event is attached to.
`boolean` | `isObsolete()` Determines if this event is obsolete.
`boolean` | `isSuccessful()` Returns `true` if a right party connect will occur at the time of this event.
`void` | `schedule(double delay)`
`void` | `scheduleAfter(Event event)`
`void` | `scheduleBefore(Event event)`
`void` | `scheduleNext()`
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, compareTo, getRa, priority, reschedule, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialerActionEvent

    public DialerActionEvent(Dialer dialer,
                             Contact contact,
                             boolean success)

  Constructs a new dialer action event for contact `contact` with success indicator `success`. When the event occurs, if `success` is `true`, the contact is notified to new-contact listeners for right-party connect. When `success` is `false`, a failed contact is notified to the appropriate new-contact listeners.

  Parameters:
    `dialer` - the associated dialer.
    `contact` - the contact object representing the call being tried.
    `success` - the success indicator.

Method Detail

### cancel

    public boolean cancel()

  Overrides:
    `cancel` in class `Event`

### schedule

    public void schedule(double delay)

  Overrides:
    `schedule` in class `Event`

### scheduleBefore

    public void scheduleBefore(Event event)

  Overrides:
    `scheduleBefore` in class `Event`

### scheduleAfter

    public void scheduleAfter(Event event)

  Overrides:
    `scheduleAfter` in class `Event`

### scheduleNext

    public void scheduleNext()

  Overrides:
    `scheduleNext` in class `Event`

### getContact

    public Contact getContact()

  Returns the contact object representing the called person.

  Returns:
    the concerned contact.

### getDialer

    public Dialer getDialer()

  Returns the dialer this event is attached to.

  Returns:
    the attached dialer.

### isSuccessful

    public boolean isSuccessful()

  Returns `true` if a right party connect will occur at the time of this event. Otherwise, returns `false`.

  Returns:
    the success indicator.

### isObsolete

    public boolean isObsolete()

  Determines if this event is obsolete. When calling `Dialer.init()`, some action events might still be in the simulator's event list. One must use this method in `actions()` to test if this event is obsolete. If that returns `true`, one should return immediately.

  Returns:
    `true` for an obsolete event, `false` otherwise.

### actions

    public void actions()

  Specified by:
    `actions` in class `Event`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public DialerActionEvent clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.